class Identity(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  def forward(self: __torch__.torch.nn.modules.linear.Identity,
    input: Tensor) -> Tensor:
    return input
class Linear(Module):
  __parameters__ = ["weight", "bias", ]
  __buffers__ = []
  weight : Tensor
  bias : Tensor
  training : bool
  _is_full_backward_hook : NoneType
  in_features : Final[int] = 192
  out_features : Final[int] = 576
  def forward(self: __torch__.torch.nn.modules.linear.Linear,
    input: Tensor) -> Tensor:
    _0 = __torch__.torch.nn.functional.linear
    weight = self.weight
    bias = self.bias
    return _0(input, weight, bias, )
class NonDynamicallyQuantizableLinear(Module):
  __parameters__ = ["weight", "bias", ]
  __buffers__ = []
  weight : Tensor
  bias : Tensor
  training : bool
  _is_full_backward_hook : NoneType
  in_features : Final[int] = 192
  out_features : Final[int] = 192
  def forward(self: __torch__.torch.nn.modules.linear.NonDynamicallyQuantizableLinear,
    input: Tensor) -> Tensor:
    _1 = __torch__.torch.nn.functional.linear
    weight = self.weight
    bias = self.bias
    return _1(input, weight, bias, )
